/v2/domainLists (POST) - BlueCat Edge - Service Point v4.x.x

BlueCat Edge User Guide

ft:locale
en-US
Product name
BlueCat Edge
Version
Service Point v4.x.x

Create a domain list

POST https://api-<BlueCat.edge.url>/v2/domainLists
Authorization: Bearer authorization token
Content-type: application/JSON
{
   "name": "<domain-list-name>",
   "description": "<domain-list-description>",
   "sourceType": "user"
}  

Successful response

201 CREATED
Possible error codes
  • NAMESPACE_OVER_100k - Domain lists associated with namespaces can't exceed 100,000 domains
  • DUPLICATE_LIST_NAME - A domain list exists with the same name
  • INVALID_LIST_JSON - Domain list JSON is invalid
  • INVALID_PARAMETER - Domain list parameter is invalid
  • UNSUPPORTED_LIST_TYPE - Domain list type is invalid
  • MISSING_PRIVATE_KEY - The domain list private key is missing
  • INTERNAL_ERROR - Internal server error